Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
crm
/
install
Install GoHighLevel
curl --request GET \
  --url https://api.trillet.ai/v1/api/crm/install \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Query Parameters

pathwayId
string
required
The call flow pathway ID to connect GoHighLevel to.

Response Fields

url
string
The GoHighLevel OAuth authorization URL. Redirect the user to this URL to authorize the connection.
{
  "url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
}